> For the complete documentation index, see [llms.txt](https://docs.validationcloud.io/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.validationcloud.io/v1/solana/http-methods/getepochschedule.md).

# getEpochSchedule

Returns epoch schedule information from this cluster's genesis config.

This method will use `30` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

None.

## Returns

`result` An object with the following fields:

* `firstNormalEpoch`. The first normal-length epoch, log2(slotsPerEpoch) - log2(MINIMUM\_SLOTS\_PER\_EPOCH).
* `firstNormalSlot`. The slot number of the first normal slot. MINIMUM\_SLOTS\_PER\_EPOCH \* (2.pow(firstNormalEpoch) - 1).
* `leaderScheduleSlotOffset`. The number of slots before beginning of an epoch to calculate a leader schedule for that epoch.
* `slotsPerEpoch`. The maximum number of slots in each epoch.
* `warmup`. Whether epochs start short and grow.

```bash
// Result
{
	"jsonrpc": "2.0",
	"result": {
		"firstNormalEpoch": 0,
		"firstNormalSlot": 0,
		"leaderScheduleSlotOffset": 432000,
		"slotsPerEpoch": 432000,
		"warmup": false
	},
	"id": 1
}
```

{% tabs %}
{% tab title="mainnet" %}

<pre class="language-bash"><code class="lang-bash"><strong>curl https://mainnet.solana.validationcloud.io/v1/&#x3C;YOUR_API_KEY_HERE> \
</strong>    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","id":1, "method":"getEpochSchedule"}'
    
</code></pre>

{% endtab %}

{% tab title="devnet" %}

```bash
curl https://devnet.solana.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","id":1, "method":"getEpochSchedule"}'
    
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.validationcloud.io/v1/solana/http-methods/getepochschedule.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
